$(document).ready(function() {

	// ------------------------------------------------------- //
	// Custom Scrollbar
	// ------------------------------------------------------ //

	if ($(window).outerWidth() > 992) {
		$("nav.side-navbar").mCustomScrollbar({
			scrollInertia: 200
		});
	}

	// ------------------------------------------------------- //
	// Form Country Select
	// ------------------------------------------------------ //
	$('select.select-country').selectpicker({
		liveSearch: true,
		maxOptions: 1
	});

	// ------------------------------------------------------- //
	// Form Select
	// ------------------------------------------------------ //
	$('select').selectpicker({
		liveSearch: true
	});

	// ------------------------------------------------------- //
	// Tooltip
	// ------------------------------------------------------ //
	$('[data-toggle="tooltip"]').tooltip();

	// ------------------------------------------------------- //
	// Side Navbar Functionality
	// ------------------------------------------------------ //
	$('#toggle-btn').on('click', function(e) {

		e.preventDefault();

		if ($(window).outerWidth() > 991) {
			$('nav.side-navbar').toggleClass('shrink');
			$('.page').toggleClass('active');
		} else {
			$('nav.side-navbar').toggleClass('show-sm');
			$('.page').toggleClass('active-sm');
		}
	});

	// ------------------------------------------------------- //
	// Menu Active Class
	// ------------------------------------------------------ //    

	$('.side-menu').on('click', 'li', function() {
		$('.side-menu li.active').removeClass('active');
		$(this).addClass('active');
	});

	// ------------------------------------------------------- //
	// Mobile Search
	// ------------------------------------------------------ //   
	// search function variable
	var mobileSearch = $('.mobile-search i.fa-search');
	var bodyTag = $('body');
	var closeButton = $('.mobile-search i.fa-close');
	var searchField = $('.search-field');

	// search functions
	mobileSearch.on('click', function(e) {
		e.stopPropagation();
		bodyTag.addClass('active-search');
	});
	bodyTag.on('click', function(e) {
		$(this).removeClass('active-search');
	});
	searchField.on('click', function(e) {
		e.stopPropagation();
	});
	/* remove search animation by body click */
	closeButton.on('click', function(e) {
		bodyTag.removeClass('active-search');
	});

	//Add a minus icon to the collapse element that is open by default
	$('.collapse.show').each(function() {
		$(this).parent().find(".fa-plus").removeClass("fa-plus").addClass("fa-minus");
	});

	//Toggle plus/minus icon on show/hide of collapse element
	$('.collapse').on('shown.bs.collapse', function() {
		$(this).parent().find(".fa-plus").removeClass("fa-plus").addClass("fa-minus");
	}).on('hidden.bs.collapse', function() {
		$(this).parent().find(".fa-minus").removeClass("fa-minus").addClass("fa-plus");
	});


	// ------------------------------------------------------- //
	// Search Result
	// ------------------------------------------------------ //   
	// search function variable
	var searchBtn = $('.search-btn');
	var bodyTag = $('body');
	var searchResult = $('.search-result');

	// Disable Search from new page redirection
	$("form").submit(function() { return false; });

	// If not empty search box
	$('#search-input').blur(function()
	{
		if( $(this).val().length !== 0 ) {
			// search functions
			searchBtn.on('click', function(e) {
				e.stopPropagation();
				searchResult.addClass('active');
			});
			bodyTag.on('click', function(e) {
				searchResult.removeClass('active');
			});
		}
	});	

});